### File

`packages/eui/packages/components-next/src/lib/components/eui-dialog/services/eui-dialog.service.ts`

### Index

###### Properties
Public dialog
###### Methods
Public closeAllDialog Public closeDialog Public openDialog

### Constructor

`constructor(dialog: MatDialog)`
Parameters :
Name | Type | Optional
dialog | `MatDialog` | No

### Methods

Public closeAllDialog
`closeAllDialog()`
Returns : `void`

Public closeDialog
`closeDialog(dialog: MatDialogRef)`
Parameters :
Name | Type | Optional
dialog | `MatDialogRef<any>` | No
Returns : `void`

Public openDialog
`openDialog(config: EuiDialogConfig)`
Parameters :
Name | Type | Optional
config | `EuiDialogConfig` | No
Returns : `any`

### Properties

Public dialog
Type : `MatDialog`

# result-matching ""

# No results matching ""